Page MenuHomePhabricator

New Custom Field: "Endowment Stage" on the prospect tab
Closed, ResolvedPublic

Description

I've added a new field to the prospect tab titled "Endowment Stage". It is searchable and uses the same drop down selection as the MG Stage field. Also, I renamed "Stage" to "MG Stage".

For reference I also added this field to the summary screen for MG users.

Eileen noted "we won’t have logging on this field until we update the triggers but I’m guessing that will be pretty secondary to you". :)

Event Timeline

NNichols created this task.Mar 11 2019, 3:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2019, 3:17 AM

@cwdent @Jgreen we need to reload triggers for this table - are you OK if I generate the sql to load it? I know you were pushing back against us doing that...

Change 496057 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Add endowment stage to prospect fields

https://gerrit.wikimedia.org/r/496057

@cwdent @Jgreen we need to reload triggers for this table - are you OK if I generate the sql to load it? I know you were pushing back against us doing that...

I don't remember any objection to generating the SQL, but we should do the actual trigger reload event with the usual planned-maintenance warnings to civi users.

@Jgreen OK - this isn't highly urgent - are there any other outage-worthy things we should do it with? Or should we just plan for this one

@Jgreen OK - this isn't highly urgent - are there any other outage-worthy things we should do it with? Or should we just plan for this one

We're due for a mariadb upgrade at some point, but that too is not urgent. So maybe we should just announce & do the triggers at an off-peak time soonish?

Change 496069 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Update triggers.mysql

https://gerrit.wikimedia.org/r/496069

OK I have our new triggers sql update https://gerrit.wikimedia.org/r/#/c/wikimedia/fundraising/crm/+/496069/
We can schedule this for any time that suits you. We probably need a 10 minute outage

Change 496057 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add endowment stage to prospect fields

https://gerrit.wikimedia.org/r/496057

Change 496069 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Update triggers.mysql

https://gerrit.wikimedia.org/r/496069

Eileenmcnaughton closed this task as Resolved.Mar 19 2019, 1:33 AM
Dwisehaupt moved this task from Triage to Done on the fundraising-tech-ops board.Feb 13 2020, 9:31 PM